#!/usr/bin/env python
# -*- coding: utf-8 -*-

""" Pour monter le bon disque juste en précisant son nom
    
    Doît être exécuté en root.
    
    """

import subprocess
import sys
import traceback

DISKS = ["Bêta", "Epsilon", "Delta", "Zêta"]


def mount(dev, name):
    """Monte le disque ``dev`` à l'emplacement ``name``"""
    proc = subprocess.Popen(["mount", dev, name], stdout=subprocess.PIPE, stderr=subprocess.PIPE)
    out, err = proc.communicate()
    if err:
        raise RuntimeError(err)
    print out


def mount_by_name(name):
    """Rajoute les paths habituels"""
    mount("/dev/disk/by-label/%s" % name, "/media/%s" % name)
    
if __name__ == "__main__":
    param = sys.argv[1]
    if param == "-l":
        for i in DISKS:
            print i
        sys.exit(0)
    elif param == "all":
        print "Mounting all the disk : %s" % ", ".join(DISKS)
        mountlist = DISKS
    else:
        mountlist = [param]
    for disk in mountlist:
        try:
            mount_by_name(disk)
        except RuntimeError:
            print traceback.format_exc()
